Add Invoice Item
curl --request POST \
--url https://api.example.com/{version}/invoices/{invoice_id}/items/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"currency": "<string>",
"qty": 123,
"amount": 1.01
}
'{
"id": 123,
"name": "<string>",
"currency": "<string>",
"qty": 123,
"amount": 1.01,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}invoices
Add Invoice Item
POST
/
{version}
/
invoices
/
{invoice_id}
/
items
/
add
Add Invoice Item
curl --request POST \
--url https://api.example.com/{version}/invoices/{invoice_id}/items/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"currency": "<string>",
"qty": 123,
"amount": 1.01
}
'{
"id": 123,
"name": "<string>",
"currency": "<string>",
"qty": 123,
"amount": 1.01,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
HTTPBearerHTTPBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
InvoiceItemResponse
Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)
Required string length:
3A positive, non-zero amount.
Required range:
x >= 0.01Last modified on June 23, 2026
Was this page helpful?
⌘I
